org.optaplanner.core.impl.score.stream.bi

## Class AbstractBiJoiner<A,B>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.common.AbstractJoiner
  - - org.optaplanner.core.impl.score.stream.bi.AbstractBiJoiner<A,B>

- All Implemented Interfaces:
    BiJoiner<A,B>
  Direct Known Subclasses:
    CompositeBiJoiner, NoneBiJoiner, SingleBiJoiner

      public abstract class AbstractBiJoiner<A,B>
      extends AbstractJoiner
      implements BiJoiner<A,B>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBiJoiner()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Function<A,Object[]>` | `getLeftCombinedMapping()`
    `abstract Function<A,Object>` | `getLeftMapping(int joinerId)`
    `abstract Function<B,Object[]>` | `getRightCombinedMapping()`
    `abstract Function<B,Object>` | `getRightMapping(int joinerId)`
    `static <A,B> AbstractBiJoiner<A,B>` | `merge(BiJoiner<A,B>... joiners)`

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.common.AbstractJoiner

      `getJoinerTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBiJoiner

          public AbstractBiJoiner()

  - ### Method Detail

    - #### merge

          @SafeVarargs
          public static final <A,B> AbstractBiJoiner<A,B> merge(BiJoiner<A,B>... joiners)

    - #### getLeftMapping

          public abstract Function<A,Object> getLeftMapping(int joinerId)

    - #### getLeftCombinedMapping

          public abstract Function<A,Object[]> getLeftCombinedMapping()

    - #### getRightMapping

          public abstract Function<B,Object> getRightMapping(int joinerId)

    - #### getRightCombinedMapping

          public abstract Function<B,Object[]> getRightCombinedMapping()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.